Skip to main content
PATCH
/
v3
/
stores
/
{store_id}
/
customers
/
me
/
addresses
/
{address_id}
Update an authenticated customer address
curl --request PATCH \
  --url https://api.scalev.com/v3/stores/{store_id}/customers/me/addresses/{address_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "phone": "<string>",
  "email": "jsmith@example.com",
  "location_id": 123,
  "address": "<string>",
  "postal_code": "<string>",
  "notes": "<string>"
}
'
{
  "id": 123,
  "name": "<string>",
  "phone": "<string>",
  "email": "jsmith@example.com",
  "location": {
    "id": 123,
    "subdistrict_name": "<string>",
    "city_name": "<string>",
    "province_name": "<string>"
  },
  "address": "<string>",
  "postal_code": "<string>",
  "notes": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

store_id
string
required

Store unique_id.

address_id
string
required

Body

application/json
name
string
phone
string
email
string<email>
location_id
address
string
postal_code
string
notes
string

Response

Customer address

id
name
string | null
phone
string | null
email
string<email> | null
location
object
address
string | null
postal_code
string | null
notes
string | null